﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace UIT.Silverlight.Renderers
{
	public class PageRenderer : SlRenderer<Controls.Containers.Page, UserControl>
	{

		public override void Render(Controls.Containers.Page control)
		{
			Result = new UserControl();
			Result.DataContext = control;
			foreach (var item in control.Children)
			{
				var childUI = Manager.Render(item);
				if (childUI != null)
					Result.Content = childUI;
			}
		}
	}
}
