﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;

#if !SILVERLIGHT
namespace UIT.WPF.Renderers
#else
namespace UIT.Silverlight.Renderers
#endif
{
    public interface 
#if !SILVERLIGHT
        IWpfRenderer 
#else
        ISlRenderer
#endif
        : IControlRenderer
    {
        UIElement Result { get; }
    }

    public interface 
#if !SILVERLIGHT
        IWpfRenderer<T> : IWpfRenderer
#else
        ISlRenderer<T> : ISlRenderer
#endif
        where T : UIElement
    {
        new T Result { get; }
    }
}
