﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using UIT.Controls;
using UIT.Controls.Containers;
using System.Web;

namespace UIT.Web.Controls
{
    public class Form
    {
        public Form()
        {
        }

        public static void SetFormId(IControl control, string value)
        {
            if (control.Metadata == null)
                control.Metadata = new WebMetadata();
            ((WebMetadata)control.Metadata).FormId = value;
        }

        public static string GetFormId(IControl control)
        {
            if (control.Metadata == null)
                return null;
            return ((WebMetadata)control.Metadata).FormId;
        }
    }
}
