﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace UIT.Web.Controls
{
    public class Page
    {
        public static void SetHead(UIT.Controls.Containers.Page page, Head head)
        {
            if (page.Metadata == null)
                page.Metadata = new WebPageMetadata();
            ((WebPageMetadata)page.Metadata).Head = head;
        }

        public static Head GetHead(UIT.Controls.Containers.Page page)
        {
            if (page.Metadata == null)
                page.Metadata = new WebPageMetadata();
            return ((WebPageMetadata)page.Metadata).Head;
        }

        public static string GetTheme(UIT.Controls.Containers.Page page)
        {
            if (page.Metadata == null)
                page.Metadata = new WebPageMetadata();
            return ((WebPageMetadata)page.Metadata).JQueryStyle;
        }

        public static void SetTheme(UIT.Controls.Containers.Page page, string theme)
        {
            if (page.Metadata == null)
                page.Metadata = new WebPageMetadata();
            ((WebPageMetadata)page.Metadata).JQueryStyle = theme;
        }
    }
}
