﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using UIT.Web.Controls.Html;
using UIT.Controls.Containers;

namespace UIT.Web.Renderers
{
    class LinkRenderer : HtmlControlRenderer<Link>
    {
        public override void Render(Link link)
        {
            RenderBeginTag(link);
            writer.WriteAttributeString("type", link.Type);
            writer.WriteAttributeString("href", UIT.Web.Markup.ResolveUrl.Process(link.Source.ToString()));
            RenderEndTag(link);
        }
    }
}
