﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace UIT.Controls.Containers
{
    public interface IContainer<TParent, TChild>
        where TChild : IContainable<TParent>, IDisposable
    {
        IDisposableObservableCollection<TParent, TChild> Children { get; }
    }

    public interface IContainer : IControl, IControlContainer
    {
    }

    public interface IControlContainer : IContainer<IContainer, IControl>
    {

    }
}
