﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading;

namespace UIT.Controls.Data.Parameters
{
    public class UserNameParameter : IParameter
    {
        #region IParameter Members

        public string Name
        {
            get;
            set;
        }

        public object Value
        {
            get { return UIT.Context.Current.Security.User; }
        }

        #endregion

        #region IDisposable Members

        public void Dispose()
        {
        }

        #endregion

        #region IContainable<IDataProvider> Members

        public IDataProvider Parent
        {
            get;
            set;
        }

        #endregion


        public event EventHandler ParameterChanged;
    }
}
