﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace UIT.Controls
{
    public class MessageBox : Control
    {
        public override bool IsContainer
        {
            get { return false; }
        }

        public override ControlType Type
        {
            get { return ControlType.MessageBox; }
        }
    }

    public class TextMessageBox : MessageBox
    {
        public string Text { get; set; }

        private MessageType messageType;

        public MessageType MessageType
        {
            get { return messageType; }
            set
            {
                messageType = value;
                OnPropertyChanged("MessageType");
            }
        }

        private bool isOpen;

        public bool IsOpen
        {
            get { return isOpen; }
            set
            {
                isOpen = value;
                OnPropertyChanged("IsOpen");
            }
        }
    }
}
