﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace UIT.Controls
{
    public class TextBlock : DrawableControl
    {
        private string text;

        public string Text
        {
            get { return text; }
            set
            {
                text = value;
                OnPropertyChanged("Text");
            }
        }

        public override bool IsContainer
        {
            get { return false; }
        }

        public override ControlType Type
        {
            get { return ControlType.TextBlock; }
        }
    }
}
