﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace UIT
{
	public interface ISupportLifeCycle
	{
		#region Events

		void OnPreInit();
		void OnPostInit();

		event EventHandler PreInit;
		event EventHandler PostInit;


		void OnPreLoad();
		void OnPostLoad();

		event EventHandler PreLoad;
		event EventHandler PostLoad;

		#endregion
	}
}
