﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace UIT.Style
{
    public class SolidColorBrush : Brush
    {
        public SolidColorBrush()
        {
            opacity = 100;
        }

        public SolidColorBrush(Color color)
            : this()
        {
            this.color = color;
        }

        private Color color;

        public Color Color
        {
            get { return color; }
            set
            {
                color = value;
                OnPropertyChanged("Color");
            }
        }

        private int opacity;

        public int Opacity
        {
            get { return opacity; }
            set
            {
                opacity = value;
                OnPropertyChanged("Opacity");
            }
        }
    }
}
