﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Controls;

#if !SILVERLIGHT
namespace UIT.WPF.Renderers
#else
    namespace UIT.Silverlight.Renderers
#endif
{
    public class ScrollViewerRenderer : 
#if !SILVERLIGHT
        WpfRenderer<Controls.Containers.ScrollViewer, ScrollViewer>
#else
        SlRenderer<Controls.Containers.ScrollViewer, ScrollViewer>
#endif
    {
        public override void Render(Controls.Containers.ScrollViewer control)
        {
            Result = new ScrollViewer();
            Result.Content = Manager.Render(control.Child);
        }
    }
}
