﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace UIT.Commands
{
    public class UndoCommand : ICommand
    {
        public CommandType CommandType
        {
            get { return CommandType.NonDisturbing; }
        }

        public void Execute(object target, params object[] parameters)
        {
            UIT.Context.Current.Application.CommandProcessor.Undo();
        }

        public void Redo()
        {
            // Nothing to do
        }

        public void Undo()
        {
            // Nothing to do
        }
    }
}
