﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Markup;

namespace UIT.Controls.Input
{
#if !SILVERLIGHT
    [RuntimeNameProperty("Id")]
#endif
    [ContentProperty("Text")]
    public class TextBox : DrawableControl
    {
        private string text;

        public string Text
        {
            get { return text; }
            set
            {
                text = value;
                OnPropertyChanged("Text");
            }
        }

        #region IControl Members

        public override ControlType Type
        {
            get { return ControlType.TextBox; }
        }

        public override bool IsContainer
        {
            get { return false; }
        }

        #endregion
    }
}
