﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using UIT.Controls;
using System.Linq.Expressions;

namespace UIT.Events
{
    public class MouseEvents
    {
        public string Click { get; set; }
        public string DoubleClick { get; set; }

        public static void SetClick(IControl control, string commandName)
        {
            control.Events.Mouse.Click = commandName;
        }

        public static string GetClick(IControl control)
        {
            return control.Events.Mouse.Click;
        }

        public static string GetDoubleClick(IControl control)
        {
            return control.Events.Mouse.DoubleClick;
        }

        public static void SetDoubleClick(IControl control, string commandName)
        {
            control.Events.Mouse.DoubleClick = commandName;
        }

    }
}
