﻿using System;
using System.Collections.Generic;
using System.Text;

namespace JsStubGenerator
{
    public enum JsStubVisibility
    {
        Exposed,
        Hidden,
    }

    [AttributeUsage(AttributeTargets.Assembly | AttributeTargets.Class, AllowMultiple = true)]
    public class ExposeTypeAttribute : Attribute
    {
        public ExposeTypeAttribute()
        {

        }

        public ExposeTypeAttribute(Type t)
        {

        }

        public ExposeTypeAttribute(Type t, JsStubVisibility visibility)
        {
            Type = t;
            Visibility = visibility;
        }

        public ExposeTypeAttribute(JsStubVisibility visibility)
        {
            Visibility = visibility;
        }

        public Type Type { get; set; }

        public JsStubVisibility Visibility { get; set; }
    }
}
