﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Markup;

namespace UIT.Style
{
    [ContentProperty("GradientStops")]
    public class GradientColorBrush : Brush
    {
        public GradientColorBrush()
        {
            gradientStops = new DisposableObservableCollection<GradientColorBrush, GradientStop>(this);
        }

        private IDisposableObservableCollection<GradientColorBrush, GradientStop> gradientStops;

        public IDisposableObservableCollection<GradientColorBrush, GradientStop> GradientStops
        {
            get { return gradientStops; }
            set
            {
                gradientStops = value;
                OnPropertyChanged("GradientStops");
            }
        }

    }
}
