﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using UIT._2D;
using System.Windows.Markup;

namespace UIT.Style
{
    public class RadialGradientBrush : GradientColorBrush
    {
        public RadialGradientBrush()
        {
            Center = new Point(0.5, 0.5);
            GradientOrigin = Center;
        }

        private Point center;

        public Point Center
        {
            get { return center; }
            set
            {
                center = value;
                OnPropertyChanged("Center");
            }
        }


        private Point gradientOrigin;

        public Point GradientOrigin
        {
            get { return gradientOrigin; }
            set
            {
                gradientOrigin = value;
                OnPropertyChanged("GradientOrigin");
            }
        }
    }
}
