﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using UIT.Controls;

namespace UIT.Style
{
    public class TextStyle
    {
        public TextStyle()
        {
            Color = Colors.Black;
            Wrap = false;
        }

        public Color Color { get; set; }

        public Unit Size { get; set; }

        public bool Wrap { get; set; }

        public static Color GetColor(IDrawableControl control)
        {
            return control.Style.Text.Color;
        }

        public static void SetColor(IDrawableControl control, Color value)
        {
            control.Style.Text.Color = value;
        }

        public static Unit GetSize(IDrawableControl control)
        {
            return control.Style.Text.Size;
        }

        public static void SetSize(IDrawableControl control, Unit value)
        {
            control.Style.Text.Size = value;
        }

        public static bool GetWrap(IDrawableControl control)
        {
            return control.Style.Text.Wrap;
        }

        public static void SetWrap(IDrawableControl control, bool value)
        {
            control.Style.Text.Wrap = value;
        }
    }
}
